# vim: set sw=4 ts=4 et nu:

Name:               mp3val
Version:            0.1.8
Release:            1.2
Summary:            MPEG Audio File Integrity Checker
Source:             http://prdownloads.sourceforge.net/mp3val/mp3val-%{version}-src.tar.gz
Patch1:             mp3val-fix_missing_mode_for_O_CREAT.patch
URL:                http://mp3val.sourceforge.net/
Group:              Productivity/Multimedia/Sound/Editors and Convertors
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      gcc-c++ make glibc-devel

%description
MP3val is a small, high-speed, free software tool for checking MPEG audio
files' integrity. It can be useful for finding corrupted files (e.g.
incompletely downloaded, truncated, containing garbage). MP3val is also able to
fix most of the problems. Being a multiplatform application, MP3val can be
runned both under Windows and under Linux (or BSD).

The most common MPEG audio file type is MPEG 1 Layer III (mp3), but MP3val
supports also other MPEG versions and layers. The tool is also aware of the
most common types of tags (ID3v1, ID3v2, APEv2).

%prep
%setup -q -n "%{name}-%{version}-src"
%patch1

%__sed -i 's/\r//' *.txt COPYING

find . -type f -exec %__chmod 0644 {} \;

%build
%__make %{?_smp_flags} \
    -f Makefile.linux \
    CC="%__cc" \
    CXXFLAGS="%{optflags} -Wno-deprecated -Wno-write-strings"

%install
%__install -D -m0755 mp3val "%{buildroot}%{_bindir}/mp3val"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc changelog.txt manual.html COPYING
%{_bindir}/mp3val

%changelog
* Fri Aug 12 2011 pascal.bleser@opensuse.org
- initial version (0.1.8)
